GlueGen: com.jogamp.gluegen.cgram.CSymbolTable Class Reference

GlueGen v2.6.0-rc-20250721 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | List of all members
com.jogamp.gluegen.cgram.CSymbolTable Class Reference
Collaboration diagram for com.jogamp.gluegen.cgram.CSymbolTable:

## Public Member Functions

| CSymbolTable ()
void | pushScope (final String s)
| push a new scope onto the scope stack. More...
void | popScope ()
| pop the last scope off the scope stack. More...
String | currentScopeAsString ()
| return the current scope as a string More...
String | addCurrentScopeToName (final String name)
| given a name for a type, append it with the current scope. More...
String | addScopeToName (final String scope, final String name)
| given a name for a type, append it with the given scope. More...
String | removeOneLevelScope (final String scopeName)
| remove one level of scope from name MBZ More...
TNode | add (final String name, final TNode node)
| add a node to the table with it's key as the current scope and the name More...
TNode | lookupScopedName (final String scopedName)
| lookup a fully scoped name in the symbol table More...
TNode | lookupNameInCurrentScope (final String name)
| lookup an unscoped name in the table by prepending the current scope. More...
String | toString ()
| convert this table to a string More...

## Detailed Description

Definition at line 8 of file CSymbolTable.java.

## Constructor & Destructor Documentation

## ◆ CSymbolTable()

com.jogamp.gluegen.cgram.CSymbolTable.CSymbolTable | ( |  | ) |

Definition at line 16 of file CSymbolTable.java.

## Member Function Documentation

## ◆ add()

TNode com.jogamp.gluegen.cgram.CSymbolTable.add | ( | final String | name,
|  | final TNode | node
| ) |  |

add a node to the table with it's key as the current scope and the name

Definition at line 86 of file CSymbolTable.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ addCurrentScopeToName()

String com.jogamp.gluegen.cgram.CSymbolTable.addCurrentScopeToName | ( | final String | name | ) |

given a name for a type, append it with the current scope.

Definition at line 57 of file CSymbolTable.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ addScopeToName()

String com.jogamp.gluegen.cgram.CSymbolTable.addScopeToName | ( | final String | scope,
|  | final String | name
| ) |  |

given a name for a type, append it with the given scope.

MBZ

Definition at line 65 of file CSymbolTable.java.

Here is the caller graph for this function:

## ◆ currentScopeAsString()

String com.jogamp.gluegen.cgram.CSymbolTable.currentScopeAsString | ( |  | ) |

return the current scope as a string

Definition at line 40 of file CSymbolTable.java.

Here is the caller graph for this function:

## ◆ lookupNameInCurrentScope()

TNode com.jogamp.gluegen.cgram.CSymbolTable.lookupNameInCurrentScope | ( | final String | name | ) |

lookup an unscoped name in the table by prepending the current scope.

MBZ – if not found, pop scopes and look again

Definition at line 100 of file CSymbolTable.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ lookupScopedName()

TNode com.jogamp.gluegen.cgram.CSymbolTable.lookupScopedName | ( | final String | scopedName | ) |

lookup a fully scoped name in the symbol table

Definition at line 92 of file CSymbolTable.java.

## ◆ popScope()

void com.jogamp.gluegen.cgram.CSymbolTable.popScope | ( |  | ) |

pop the last scope off the scope stack.

Definition at line 31 of file CSymbolTable.java.

Here is the caller graph for this function:

## ◆ pushScope()

void com.jogamp.gluegen.cgram.CSymbolTable.pushScope | ( | final String | s | ) |

push a new scope onto the scope stack.

Definition at line 24 of file CSymbolTable.java.

Here is the caller graph for this function:

## ◆ removeOneLevelScope()

String com.jogamp.gluegen.cgram.CSymbolTable.removeOneLevelScope | ( | final String | scopeName | ) |

remove one level of scope from name MBZ

Definition at line 73 of file CSymbolTable.java.

Here is the caller graph for this function:

## ◆ toString()

String com.jogamp.gluegen.cgram.CSymbolTable.toString | ( |  | ) |

convert this table to a string

Definition at line 118 of file CSymbolTable.java.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/cgram/CSymbolTable.java